MiiSelectorReturn Struct Reference

Structure written by AppletEd. More...

`#include <miiselector.h>`

## Data Fields

u32 | no_mii_selected
| 0 if a Mii was selected, 1 if the selection was canceled.
u32 | guest_mii_was_selected
| 1 if a Guest Mii was selected, 0 otherwise.
u32 | guest_mii_index
| Index of the selected Guest Mii, 0xFFFFFFFF if no guest was selected.
MiiData | mii
| Data of selected Mii.
u16 | checksum
| Checksum of the returned Mii data. More...
u16 | guest_mii_name [MIISELECTOR_GUESTMII_NAME_LEN]
| Localized name of a Guest Mii, if one was selected (UTF16-LE string). More...

## Detailed Description

Structure written by AppletEd.

## Field Documentation

## checksum

u16 MiiSelectorReturn::checksum

Checksum of the returned Mii data.

Stored as a big-endian value; use miiSelectorChecksumIsValid to verify.

## guest_mii_name

u16 MiiSelectorReturn::guest_mii_name[MIISELECTOR_GUESTMII_NAME_LEN]

Localized name of a Guest Mii, if one was selected (UTF16-LE string).

Zeroed otherwise.

The documentation for this struct was generated from the following file:

- include/3ds/applets/miiselector.h